# APIMethodStatService
> API方法统计服务

---

## countAPIMethodStatsWithDay
> 检查是否有统计数据

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/APIMethodStatService/countAPIMethodStatsWithDay`
- RPC：`rpc countAPIMethodStatsWithDay(CountAPIMethodStatsWithDayRequest) returns (RPCCountResponse);`

**请求对象 (`CountAPIMethodStatsWithDayRequest`)**

```json
{
  "day": "string // YYYYMMDD"
}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/APIMethodStatService/countAPIMethodStatsWithDay" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAPIMethodStatsWithDay
> 查找某天的统计

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/APIMethodStatService/findAPIMethodStatsWithDay`
- RPC：`rpc findAPIMethodStatsWithDay(FindAPIMethodStatsWithDayRequest) returns (FindAPIMethodStatsWithDayResponse);`

**请求对象 (`FindAPIMethodStatsWithDayRequest`)**

```json
{
  "day": "string // YYYYMMDD"
}
```

**响应对象 (`FindAPIMethodStatsWithDayResponse`)**

```json
{
  "apiMethodStats": "[]APIMethodStat"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/APIMethodStatService/findAPIMethodStatsWithDay" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
